# Generated by Django 2.2.16 on 2021-09-13 11:20

from django.db import migrations, models
import utils.files
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MapMarkerConfiguration',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('marker_type', models.CharField(choices=[('EMPLOYEE', 'Сотрудник'), ('ITEM', 'Объект'), ('VEHICLE', 'Транспортное средство')], max_length=50)),
                ('icon', models.FileField(blank=True, null=True, upload_to=utils.files.SetUploadPath('map-markers/'))),
            ],
            options={
                'verbose_name': 'Конфигурации меток',
                'verbose_name_plural': 'Конфигурации меток',
            },
        ),
    ]
